Description

If you're presenting different kinds of data in one database, you often have empty values in some fields. l.e. a book has an ISBN
number, an amount of pages while a DVD has a content rating (FSK in Germany), a region code...

It would be nice to have a Typoscript config that removes a row in single view if it's value is empty. This way no hacks would be
needed to get a clean single view output.

History

#1 - 2010-12-20 19:04 - Dirk Wildt
- Tracker changed from Feature to Support
- Status changed from New to Needs Feedback

- Assignee set to Dirk Wildt

#2 - 2010-12-20 19:07 - Dirk Wildt
- Category set to Typoscript

Dear Ulrich,
It seems, you can configure, that empty rows won't be displayed.

Do you speek German?

Please take a look at:

TYPO3 Browser: Felder mit bestimmtem Wert ausblenden
http://typo3-browser-forum.de/fa/list_post/forum/typo3-browser-kochbuch-und-loesungen/thema/typo3-browser-felder-mit-bestimmtem-wert-ausblend
en/

Please give a feed-back, if the link in the forum is the solution.

Kind regards
Dirk

#3 - 2010-12-27 21:04 - Lorenz Ulrich

Hi Dirk

| speak German and read this article before posting the feature request. But my request is different:

| like the standard functionality of Browser to display all the fields I've selected in the Typoscript setup:

<tr>
<th>Label for Field A</th>
<td>Value of Field A</td>
</tr>
<tr>
<th>Label for Field B</th>
<td>Value of Field B</td>
</tr>

etc.
Now what | would like to have is an option that checks if there is any value in Field B and if it's not the whole table row won't be generated. | know

it's possible to achieve that with a rather complicated Typoscript setup, but what I'd like to have is a feature that fits best to the Browser: With some
clicks and a few lines of Typoscript you get a nice output of your database data.
#4 - 2010-12-28 13:50 - Dirk Wildt

Dear Lorenz,
Thanks for your answer and the clear post.

Yes, it would be wonderful, to have a feature like an enable field in the plugin/flexform for displaying or non diyplaying empty rows.
But because you can configure it by TypoScript, this feature desn't have any priority in our timetable.

| guess, the costs for this feature will two hours. Do you have any budget for developing?

Kind regards

Dirk

#5 - 2010-12-30 12:25 - Lorenz Ulrich

Yes, we do. I'll contact you by mail.

#6 - 2011-01-11 01:05 - Dirk Wildt

- Status changed from Needs Feedback to Accepted
- Target version set to 3.6.1

- % Done changed from 0 to 50

- Estimated time set to 2.00 h

#7 - 2011-01-11 12:32 - Dirk Wildt
- Due date set to 2011-01-11
- Status changed from Accepted to Resolved

- % Done changed from 50 to 100

#8 - 2011-01-11 13:09 - Dirk Wildt

- Tracker changed from Support to Feature
